org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.PatternBodyElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.PatternBodyElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.PatternBodyElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternBodyElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Assignment` | `getConstraintsAssignment_3_0()`
    `org.eclipse.xtext.RuleCall` | `getConstraintsConstraintParserRuleCall_3_0_0()`
    `org.eclipse.xtext.Group` | `getGroup_3()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Keyword` | `getLeftCurlyBracketKeyword_2()`
    `org.eclipse.xtext.Assignment` | `getNameAssignment_1()`
    `org.eclipse.xtext.RuleCall` | `getNameIDTerminalRuleCall_1_0()`
    `org.eclipse.xtext.Action` | `getPatternBodyAction_0()`
    `org.eclipse.xtext.Keyword` | `getRightCurlyBracketKeyword_4()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Keyword` | `getSemicolonKeyword_3_1()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternBodyElements

          public PatternBodyElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getPatternBodyAction_0

          public org.eclipse.xtext.Action getPatternBodyAction_0()

    - #### getNameAssignment_1

          public org.eclipse.xtext.Assignment getNameAssignment_1()

    - #### getNameIDTerminalRuleCall_1_0

          public org.eclipse.xtext.RuleCall getNameIDTerminalRuleCall_1_0()

    - #### getLeftCurlyBracketKeyword_2

          public org.eclipse.xtext.Keyword getLeftCurlyBracketKeyword_2()

    - #### getGroup_3

          public org.eclipse.xtext.Group getGroup_3()

    - #### getConstraintsAssignment_3_0

          public org.eclipse.xtext.Assignment getConstraintsAssignment_3_0()

    - #### getConstraintsConstraintParserRuleCall_3_0_0

          public org.eclipse.xtext.RuleCall getConstraintsConstraintParserRuleCall_3_0_0()

    - #### getSemicolonKeyword_3_1

          public org.eclipse.xtext.Keyword getSemicolonKeyword_3_1()

    - #### getRightCurlyBracketKeyword_4

          public org.eclipse.xtext.Keyword getRightCurlyBracketKeyword_4()